summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAllan McRae <allan@archlinux.org>2013-03-12 05:05:18 +0100
committerAllan McRae <allan@archlinux.org>2013-03-14 02:47:12 +0100
commit0ba9b262abcf5910ccdfe2a2e63878816d4d440d (patch)
treefa59366fb2c0aca3aea2be94bad31dba52bb532e
parent342924f796aa4776f46d5eba181a17b04cef1c13 (diff)
downloadpacman-0ba9b262abcf5910ccdfe2a2e63878816d4d440d.tar.gz
pacman-0ba9b262abcf5910ccdfe2a2e63878816d4d440d.tar.xz
Revert "makepkg: Use a recursive git clone."
This reverts commit 8b03b1a8776043978aeac31682f94d65b4f3e514. It is much better to download the submodules using separate source entries and adjust the submodule configs to point at these versions in the prepare() function. See https://mailman.archlinux.org/pipermail/pacman-dev/2013-March/016771.html for an example. Signed-off-by: Allan McRae <allan@archlinux.org>
-rw-r--r--scripts/makepkg.sh.in2
1 files changed, 1 insertions, 1 deletions
diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index 8145cc3f..73f45d47 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -562,7 +562,7 @@ extract_git() {
pushd "$srcdir" &>/dev/null
rm -rf "${dir##*/}"
- if ! git clone --recursive "$dir"; then
+ if ! git clone "$dir"; then
error "$(gettext "Failure while creating working copy of %s %s repo")" "${repo}" "git"
plain "$(gettext "Aborting...")"
exit 1